﻿@model List<PROJETMODELE.Controllers.HomeController.AjaxGrid>
@{
    Layout = null;
   var all =  (List<PROJETMODELE.Controllers.HomeController.AjaxGrid>)TempData["data"];
}
<table class="grid1" style="margin:10px">
    <thead>
        <tr>

            <th>heure                
            </th>
            <th>nom et prénom
            </th>
            <th>poste
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in all)
        {    
            <tr>
                <td>
                    @item.heure
                </td>
                <td>
                    @item.nom
                </td>
                <td>
                    @item.fonction
                </td>
            </tr>
        }
    </tbody>

</table>
 <link rel="stylesheet" type="text/css" href="/Content/datatable/color.css"/>
 <link rel="stylesheet" type="text/css" href="/Content/datatable/css/demo_page.css"/>
 <link rel="stylesheet" type="text/css" href="/Content/datatable/css/demo_table.css"/>
 <script type="text/javascript"  src="/Content/datatable/js/jquery.dataTables.js"></script>
<script type="text/javascript">

          $(document).ready(function () {
              if ($('.grid1').length > 0) {
                  $('.grid1').dataTable({
                      "sPaginationType": "full_numbers",
                      "bSort": false,
                      "iDisplayLength": 1000,
                      "oLanguage": {
                          "sLengthMenu": "Afficher _MENU_ éléments",
                          "sZeroRecords": "AUCUN RESULTAT TROUVE ...",
                          "sInfo": "Affichage de l'élément _START_ à _END_ sur _TOTAL_ éléments",
                          "sInfoEmpty": "Montrer de 0 à 0 sur 0 éléments",
                          "sInfoFiltered": "(filtré sur  _MAX_ éléments au total(s))",
                          "sSearch": "Rechercher",
                          "oPaginate": {
                              "sNext": "Suivant",
                              "sPrevious": "Précédent",
                              "sLast": "Dernier",
                              "sFirst": "Prémier"
                          }
                      }
                  });
              }

          });
   </script>
   <style>
    .grid1 tr.active,.grid tr.active
        {
            background-color: #E17009;
        }
         
        .grid tr.active td, .grid1 tr.active td {
            border: thin solid #E17009;
            color: #fff;
            font-family: sans-serif;
            font-size: 11px;
            padding: 5px;
            text-align: center;
            width: auto;
        }
   </style>
